Implémentation de l'exécutable `br_uncompress` en JavaScript.

# Utilisation

Les cas d'utilisation sont donnés dans les fichiers **example.html** (utilisation
dans le navigateur) et **example.js** (pour une utilisation sur nodejs). 

L'utilisation consiste en l'utilisation de la fonction `Module.brUncompress`.
Elle prend comme arguments :

* La taille de tag _tagsz_
* Une liste d'objets tag, contenant les champs _taglbl_, _resol_ et _sampletype_. 
* Les données à décompresser au format hexadécimal.

# Dépendances

Le script dépend du module math-float32-from-bits, installable avec npm
(distribué avec [NodeJs][1]) :

    npm install

# Build

Le script `br_uncompress.js` n'est pas utilisable tel quel dans le navigateur,
la fonction étant exportée selon la convention CommonJS. Il est nécessaire de
réaliser un bundle, à l'aide un outil tel que browersify ou webpack.

Un exemple est donné dans le fichier package.json.


[1]: https://nodejs.org/en/ "NodeJs"  
